# To get the unique host for an index,
# see https://docs.pinecone.io/guides/indexes/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl "https://$INDEX_HOST/bulk/imports" \
-H "Api-Key: $PINECONE_API_KEY" \
-H 'Content-Type: application/json' \
-H 'X-Pinecone-Api-Version: 2025-10' \
-d '{
"integrationId": "a12b3d4c-47d2-492c-a97a-dd98c8dbefde",
"uri": "s3://BUCKET_NAME/PATH/TO/DIR",
"errorMode": {
"onError": "continue"
}
}'
{
"id": "101"
}
Imports
Start import
Start an asynchronous import of vectors from object storage into an index.
For guidance and examples, see Import data.
POST
/
bulk
/
imports
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/indexes/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl "https://$INDEX_HOST/bulk/imports" \
-H "Api-Key: $PINECONE_API_KEY" \
-H 'Content-Type: application/json' \
-H 'X-Pinecone-Api-Version: 2025-10' \
-d '{
"integrationId": "a12b3d4c-47d2-492c-a97a-dd98c8dbefde",
"uri": "s3://BUCKET_NAME/PATH/TO/DIR",
"errorMode": {
"onError": "continue"
}
}'
{
"id": "101"
}
This feature is in public preview and available only on Standard and Enterprise plans.
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/indexes/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl "https://$INDEX_HOST/bulk/imports" \
-H "Api-Key: $PINECONE_API_KEY" \
-H 'Content-Type: application/json' \
-H 'X-Pinecone-Api-Version: 2025-10' \
-d '{
"integrationId": "a12b3d4c-47d2-492c-a97a-dd98c8dbefde",
"uri": "s3://BUCKET_NAME/PATH/TO/DIR",
"errorMode": {
"onError": "continue"
}
}'
{
"id": "101"
}
Authorizations
An API Key is required to call Pinecone APIs. Get yours from the console.
Body
application/json
The request for the start_import operation.
The URI of the bucket (or container) and import directory containing the namespaces and Parquet files you want to import. For example, s3://BUCKET_NAME/IMPORT_DIR for Amazon S3, gs://BUCKET_NAME/IMPORT_DIR for Google Cloud Storage, or https://STORAGE_ACCOUNT.blob.core.windows.net/CONTAINER_NAME/IMPORT_DIR for Azure Blob Storage. For more information, see Import records.
Required string length:
1 - 1500The id of the storage integration that should be used to access the data.
Maximum string length:
1000Was this page helpful?